<?php

/*
 * datingtheme Framework Functions Library - Dont touch this. Use Childthemes!
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	functions
 */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

define( 'DT_VERSION', '1.6.0' );
define( 'DT_LIBRARY', TEMPLATEPATH . '/library' );
define( 'DT_HELPER', TEMPLATEPATH . '/library/helper' );
define( 'DT_PLUGINS', TEMPLATEPATH . '/library/plugins' );

/*
 * Plugins
 */
if ( ! is_plugin_active( 'advanced-custom-fields-pro/acf.php' ) ) {
    require_once( DT_PLUGINS . '/acf/core/acf.php' );
}
if ( ! is_plugin_active( 'kirki/kirki.php' ) ) {
    require_once( DT_PLUGINS . '/kirki/core/kirki.php' );
}

/* 
 * Add-Ons
 */
require_once( DT_PLUGINS . '/kirki/kirki-functions.php' );
require_once( DT_PLUGINS . '/kirki/kirki-customizer.php' );
#require_once(DT_PLUGINS . '/kirki/kirki-css.php');
require_once( DT_PLUGINS . '/acf/field-type-autocomplete/acf-field-type-autocomplete.php' );
require_once( DT_PLUGINS . '/acf/field-type-code/acf-code_area.php' );
require_once( DT_PLUGINS . '/acf/field-type-selector/acf-field_selector.php' );
require_once( DT_PLUGINS . '/acf/acf-tooltip/acf-tooltip.php' );
require_once( DT_PLUGINS . '/acf/acf-functions.php' );
require_once( DT_PLUGINS . '/acf/export/_load.php' );
require_once( DT_PLUGINS . '/tinymce/_load.php' );
require_once( DT_PLUGINS . '/mobile-detect/Mobile_Detect.php' );
require_once( DT_PLUGINS . '/updates/_load.php' );

/*
 * Framework Funktionen
 */
require_once( DT_LIBRARY . '/helper/_load.php' );
require_once( DT_LIBRARY . '/navigation/_load.php' );
require_once( DT_LIBRARY . '/widgets/_load.php' );
require_once( DT_LIBRARY . '/locations/_load.php' );
require_once( DT_LIBRARY . '/profiles/_load.php' );
require_once( DT_LIBRARY . '/networks/_load.php' );
require_once( DT_LIBRARY . '/popup/_load.php' );
require_once( DT_LIBRARY . '/floating-bar/_load.php' );
?>