<?php
/*
 * Post Type: Locations
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	location
 */
add_action('init', 'location_register');
function location_register() {
	$labels = array(
		'name' 				=> __('Locations', 'datingtheme'),
		'singular_name' 	=> __('Location', 'datingtheme'),
		'add_new' 			=> __('Neue Location Erstellen', 'datingtheme'),
		'add_new_item' 		=> __('Neue Location hinzuf&uuml;gen', 'datingtheme'),
		'edit_item' 		=> __('Location editieren', 'datingtheme'),
		'new_item' 			=> __('Neue Location', 'datingtheme'),
		'all_items' 		=> __('Locations', 'datingtheme'),
		'view_item' 		=> __('Zeige Location', 'datingtheme'),
		'search_items' 		=> __('Suche Location', 'datingtheme'),
		'not_found' 		=> __('Keine Location gefunden', 'datingtheme'),
		'menu_name' 		=> __('Locations', 'datingtheme')
	);

	$args = array(
		'labels'			=> $labels,
		'public'			=> true,
		'show_ui'			=> true, 
		'hierarchical'		=> true,
		'has_archive'		=> false,
        'rewrite'           => array('slug' => 'region'),
		'menu_icon'			=> 'dashicons-location-alt',
		'supports' 			=> array('title', 'editor', 'author', 'thumbnail', 'revisions', 'custom-fields', 'page-attributes')
  	); 
	
 	register_post_type('location',$args);
}