<?php
/**
 * Registrieren der Navigationen
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	navigation
 */

if ( ! function_exists('dt_register_menu') ) {
	/**
	 * dt_register_menu function.
	 *
	 */
	add_action('init', 'dt_register_menu');
	function dt_register_menu()
	{
		if (dt_get_topbar()) {
			register_nav_menu('nav_topbar', __('Topbar', 'datingtheme'));
		}

		register_nav_menu('nav_main', __('Hauptnavigation', 'datingtheme'));

		if (dt_header_structure() == '5-2-5') {
			register_nav_menu('nav_main_second', __('Hauptnavigation (2)', 'datingtheme'));
		}
		
		register_nav_menu('nav_footer', __('Footer', 'datingtheme'));
	}
}