<?php

/**
 * Shortcodes
 *
 * @author        Christian Lang
 * @version        1.0
 * @category    network
 */
add_shortcode( 'signup_form', 'dt_signup_form_shortcode' );

/*
 * Signup Form
 */
function dt_signup_form_shortcode ( $atts, $content = null )
{
    $network = dt_get_network();
    $output  = '';

    ob_start();
    get_template_part( 'parts/forms/' . $network . '/form', 'big' );
    $output .= ob_get_contents();
    ob_end_clean();

    return $output;
}
