<?php
/*
 * Post Type: Profiles
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	dealer
 */ 
add_action('init', 'profile_register');
function profile_register() {
	$labels = array(
		'name' 				=> __('Profile', 'datingtheme'),
		'singular_name' 	=> __('Profil', 'datingtheme'),
		'add_new' 			=> __('Neues Profil Erstellen', 'datingtheme'),
		'add_new_item' 		=> __('Neues Profil hinzuf&uuml;gen', 'datingtheme'),
		'edit_item' 		=> __('Profil editieren', 'datingtheme'),
		'new_item' 			=> __('Neues Profil', 'datingtheme'),
		'all_items' 		=> __('Profile', 'datingtheme'),
		'view_item' 		=> __('Zeige Profil', 'datingtheme'),
		'search_items' 		=> __('Suche Profil', 'datingtheme'),
		'not_found' 		=>  __('Kein Profil gefunden', 'datingtheme'),
		'menu_name' 		=> __('Profile', 'datingtheme')
	);

	$args = array(
		'labels'			=> $labels,
		'public'			=> false,
		'show_ui'			=> true, 
		'has_archive'		=> false,
		'hierarchical'		=> false,
        'rewrite'           => false,
		'menu_icon'			=> 'dashicons-id-alt',
		'supports' 			=> array('title', 'editor', 'author', 'thumbnail', 'revisions', 'custom-fields')
  	); 
	
 	register_post_type('profile',$args);
}