<form method="post" class="signup_form lustagenten" id="signup_form" action="<?php echo dt_get_network_form_signup_url(); ?>" data-validate="<?php echo dt_get_network_form_validate_url(); ?>">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

        <div class="media">
            <div class="media-left">
                <img class="media-object modal-image" src="#" />
            </div>

            <div class="media-body">
                <?php
                echo dt_profile_get_popup_seal();

                if(dt_profile_get_popup_headline()) { ?>
                    <h4 class="modal-title" id="ContactModalLabel"><?php echo dt_profile_get_popup_headline(); ?></h4>
                <?php } ?>
                <hr>
                <h5 class="modal-subtitle">
                    <?php _e('Lerne', 'datingtheme'); ?> <span class="contact-name"></span>

                    <span class="contact-city-wrapper">
                        <?php _e('aus', 'datingtheme'); ?> <span class="contact-city"></span>
                    </span>

                    <?php _e('kennen!', 'datingtheme'); ?>
                </h5>
            </div>
        </div>
    </div>

    <div class="modal-body">
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <label for="username" class="control-label"><?php _e('Dein Benutzername', 'datingtheme'); ?></label>
                    <input type="text" class="form-control" name="username" id="username" placeholder="<?php _e('Dein Benutzername', 'datingtheme'); ?>">
                </div>
            </div>

            <div class="col-sm-6">
                <div class="form-group">
                    <label for="email" class="control-label"><?php _e('Deine E-Mail', 'datingtheme'); ?></label>
                    <input type="email" class="form-control" name="email" id="email" placeholder="<?php _e('Deine E-Mail', 'datingtheme'); ?>">
                </div>
            </div>
        </div>

        <div class="form-msg"></div>
    </div>

    <div class="modal-footer">
        <input type="hidden" name="password" value="-autogenerate-" />
        <input type="hidden" class="unit pbm" name="acceptAGB" id="acceptAGB" checked="checked">
        <button type="submit" id="form-submit" class="btn btn-lg btn-block btn-dt"><?php echo dt_profile_get_popup_button_text(); ?></button>

	    <?php get_template_part('parts/forms/code', 'privacy-hint'); ?>

        <?php if(get_field('profile_popup_login', 'option') == '1') { ?>
            <small>
                <?php _e('Bereits hier angemeldet?', 'datingtheme'); ?>
                <a href="<?php the_field('profile_popup_login_url', 'option'); ?>" target="_blank" <?php if(get_field('profile_popup_login_url_nofollow', 'option') == '1') { echo 'rel="nofollow"'; } ?>>
                    <?php _e('Zum Mitgliederlogin', 'datingtheme'); ?>
                </a>
            </small>
        <?php } ?>
    </div>
</form>