<?php
/*
 * Taxonomy
 * 
 * @author		Christian Lang
 * @version		1.0
 * @category	profile
 */ 

add_action( 'init', 'create_profile_tax' );
function create_profile_tax() {
	register_taxonomy(
		'profile_characteristics',
		'profile',
		array(
			'label' => __( 'Charakteristiken' , 'datingtheme'),
			'rewrite' => array( 'slug' =>  'eigenschaften'),
			'hierarchical' => 'false',
		)
	);

	register_taxonomy(
		'profile_sexual_pref',
		'profile',
		array(
			'label' => __( 'Vorlieben' , 'datingtheme'),
			'rewrite' => array( 'slug' =>  'vorlieben'),
			'hierarchical' => 'false',
		)
	);
}