<p class="privacy-hint">
    <?php
    $platform             = get_field( 'lustagenten_platform', 'options' );
    $wm_id                = get_field( 'lustagenten_wm_id', 'options' );
    $wm_kpid              = get_field( 'lustagenten_wm_kpid', 'options' );
    $fallback_agb_url     = 'https://www.lustagenten' . $platform . '/agb/?w=' . $wm_id . '&ws=' . $wm_kpid;
    $fallback_privacy_url = 'https://www.lustagenten' . $platform . '/agb/?w=' . $wm_id . '&ws=' . $wm_kpid;

    $title   = ( get_field( 'privacy_site_name', 'options' ) ? get_field( 'privacy_site_name', 'options' ) : get_bloginfo( 'name' ) );
    $agb     = ( get_field( 'privacy_site_agb', 'options' ) ? get_field( 'privacy_site_agb', 'options' ) : $fallback_agb_url );
    $privacy = ( get_field( 'privacy_site_dataprivacy', 'options' ) ? get_field( 'privacy_site_dataprivacy', 'options' ) : $fallback_privacy_url );

    $agb_target     = ( get_field( 'privacy_site_agb', 'options' ) ? '_self' : '_blank' );
    $privacy_target = ( get_field( 'privacy_site_dataprivacy', 'options' ) ? '_self' : '_blank' );

    $is_extern = false;
	if ( strpos( $agb, 'lustagenten' ) !== false ) {
		$is_extern = true;
	}

    printf(
        __( 'Mit meiner Anmeldung erkläre ich mich mit den <a href="%s" target="' . $agb_target . '" ' . ( $is_extern ? 'rel="nofollow"' : '' ) . '>AGB</a> und den <a href="%s" target="' . $privacy_target . '" ' . ( $is_extern ? 'rel="nofollow"' : '' ) . '>Datenschutzbestimmungen</a> für den Dienst %s einverstanden.', 'datingtheme' ),
        $agb,
        $privacy,
        $title
    );
    ?>
</p>
