<?php
global $grid_col;
$classes = array('contact', 'contact-grid');
$col_class = ($grid_col ? dt_get_column_class($grid_col) : dt_get_column_class(6));
?>
<div class="col-xs-6 <?php echo $col_class; ?>">
    <article <?php post_class(implode(' ', $classes)); ?> data-contact="<?php the_ID(); ?>">
        <?php $profile = new Profile(get_the_ID()); ?>
        <a <?php echo $profile->getLink(); ?> title="<?php printf(__('%s jetzt kennenlernen!', 'datingtheme'), $profile->getName()); ?>">
            <?php
            echo $profile->getImage('grid');
            echo dt_profile_get_status();
            ?>
        </a>

        <p class="h2">
            <a <?php echo $profile->getLink(); ?> title="<?php printf(__('%s jetzt kennenlernen!', 'datingtheme'), $profile->getName()); ?>">
                <span class="contact-name"><?php echo $profile->getName() . ($profile->getAge() ? ' (' . $profile->getAge() . ')' : ''); ?></span>
            </a>

            <?php
            if($city = $profile->getCityLinked()) {
                echo '<span class="contact-city text-block">' . $city . '</span>';
            }
            ?>
        </p>
    </article>
</div>