<?php
$classes = array('contact', 'contact-list');
$profile_ad = get_field('profile_ad');
if($profile_ad == '1') {
    $classes[] = 'contact-ad';
}
?>
<article <?php post_class(implode(' ', $classes)); ?> data-contact="<?php the_ID(); ?>">
    <?php
    global $archive;
    $profile = new Profile(get_the_ID(), $archive); ?>

    <div class="media">
        <div class="media-left">
            <a <?php echo $profile->getLink(); ?> title="<?php printf(__('%s jetzt kennenlernen!', 'datingtheme'), $profile->getName()); ?>">
                <?php 
                echo $profile->getImage('media');  
                echo dt_profile_get_status();
                ?>
            </a>
        </div>

        <div class="media-body">
            <?php if($profile_ad == '1') { echo '<span class="featured-badge">Premium</span>'; } ?>
            <p class="h2 media-heading">
                <a <?php echo $profile->getLink(); ?> title="<?php printf(__('%s jetzt kennenlernen!', 'datingtheme'), $profile->getName()); ?>">
                    <span class="contact-name"><?php echo $profile->getName() . ($profile->getAge() ? ' (' . $profile->getAge() . ')' : ''); ?></span>
                </a>

                <?php
                if($city = $profile->getCityLinked()) {
                    printf(__('<span class="contact-text">sucht in</span> <span class="contact-city">%s</span>', 'datingtheme'), $city);
                }
                ?>
            </p>

            <?php
            if($description = $profile->getDescription()) {
                echo '<div class="quote">' . $description . '</div>';
            }
            ?>

            <a class="btn btn-cta" <?php echo $profile->getLink(); ?> title="<?php printf(__('%s jetzt kennenlernen!', 'datingtheme'), $profile->getName()); ?>">
                <?php echo dt_profile_get_button_text(); ?>
            </a>
        </div>
    </div>
</article>