<?php
get_header();

/*
 * VARS
 */
global $archive;
$archive = $post->ID;
$sidebar = dt_get_sidebar('location', 'single');
$sidebar_size = dt_get_sidebar_size('location', 'single');
?>

<div id="main" class="<?php echo dt_get_section_layout_class('content'); ?>">
	<div class="container">
		<div class="row">
			<div class="col-sm-<?php if($sidebar == 'none') : echo '12'; else: echo $sidebar_size['content']; endif; ?>">
				<div id="content">
					<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <?php
						the_content();

						if($post->post_content) {
							echo '<hr>';
						}
						?>
												
                        <?php get_template_part('parts/location/code', 'contacts'); ?>
					<?php endwhile; endif; ?>
				</div>
			</div>

			<?php if('left' == $sidebar || 'right' == $sidebar) { ?>
				<div class="col-sm-<?php echo $sidebar_size['sidebar']; ?>">
					<div id="sidebar">
						<?php get_sidebar(); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>

<?php get_footer(); ?>